%global lib_ver  0.14
%global name_ver 0_14-0

Name:           retro-gtk
Version:        0.16.1
Release:        2%{?dist}
Summary:        Toolkit to write Gtk+3-based frontends to libretro

License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/retro-gtk
Source0:        https://download.gnome.org/sources/%{name}/0.16/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(vapigen)

%description
retro-gtk wraps the libretro API for use in Gtk applications such as
GNOME Games.

%package     -n libretro-gtk-%{name_ver}
Summary:        Toolkit to write Gtk+3-based frontends to libretro

%description -n libretro-gtk-%{name_ver}
retro-gtk wraps the libretro API for use in Gtk applications such as
GNOME Games.

(libretro is an API specification implemented by some emulator libraries like
libretro-bsnes).

%package     -n typelib-1_0-Retro-%{name_ver}
Summary:        GObject introspection bindings for libretro-gtk

%description -n typelib-1_0-Retro-%{name_ver}
retro-gtk wraps the libretro API for use in Gtk applications.

This subpackage contains the gobject bindings for the libretro-gtk
shared library.

%package        devel
Summary:        Development files for retro-gtk, a Gtk+3 wrapper for libretro
Requires:       libretro-gtk-%{name_ver}%{?_isa} = %{version}
Requires:       typelib-1_0-Retro-%{name_ver}%{?_isa} = %{version}

%description    devel
retro-gtk wraps the libretro API for use in Gtk applications.

This subpackage contains the headers to make use of the libretro-gtk library.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -n libretro-gtk-%{name_ver}
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/libretro-gtk-%{lib_ver}.so.0

%files -n typelib-1_0-Retro-%{name_ver}
%{_libdir}/girepository-1.0/Retro-%{lib_ver}.typelib

%files devel
%{_bindir}/retro-demo
%{_datadir}/gir-1.0/Retro-%{lib_ver}.gir
%{_datadir}/vala/vapi/%{name}-%{lib_ver}*
%{_includedir}/%{name}
%{_libdir}/libretro-gtk-%{lib_ver}.so
%{_libdir}/pkgconfig/%{name}-%{lib_ver}.pc

%changelog
* Mon Apr 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.1-2
- Initial package
